<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:40:53 CEST 2010 -->
<TITLE>
RSNetDecoder
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="RSNetDecoder";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/RSNetDecoder.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RSNetDecoder.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.bitfountain.math.reedsolomon.decoding</FONT>
<BR>
Class RSNetDecoder</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">org.bitfountain.math.reedsolomon.RSAlgorithm</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">org.bitfountain.math.reedsolomon.decoding.RSDecoder</A>
          <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.bitfountain.math.reedsolomon.decoding.RSNetDecoder</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>RSNetDecoder</B><DT>extends <A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSDecoder</A><DT>implements <A HREF="../../../../../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A></DL>
</PRE>

<P>
Reed-Solomon decoder adapted to receiving packets from the network.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Amos Wenger</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;byte[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#blocks">blocks</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;We store BLOCK_SIZE blocks so we can deinterlace.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.bitfountain.math.reedsolomon.decoding.RSDecoder"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.bitfountain.math.reedsolomon.decoding.<A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSDecoder</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html#LOST_BYTES">LOST_BYTES</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.bitfountain.math.reedsolomon.RSAlgorithm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.bitfountain.math.reedsolomon.<A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html#DEFAULT_CHECKSUM_BLOCK_SIZE">DEFAULT_CHECKSUM_BLOCK_SIZE</A>, <A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html#DEFAULT_DATA_BLOCK_SIZE">DEFAULT_DATA_BLOCK_SIZE</A>, <A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html#DEFAULT_TOTAL_BLOCK_SIZE">DEFAULT_TOTAL_BLOCK_SIZE</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#RSNetDecoder(org.bitfountain.network.packets.FileHeader, java.io.File)">RSNetDecoder</A></B>(<A HREF="../../../../../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>&nbsp;pHeader,
             java.io.File&nbsp;pDestination)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Encode a file and send it over an output stream.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.io.File</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getDestination()">getDestination</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getHeader()">getHeader</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getProgress()">getProgress</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#getSpeed()">getSpeed</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#isFinished()">isFinished</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html#step(org.bitfountain.network.packets.FilePart)">step</A></B>(<A HREF="../../../../../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets">FilePart</A>&nbsp;filePart)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Do a little bit more work from the received packet.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.bitfountain.math.reedsolomon.decoding.RSDecoder"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.bitfountain.math.reedsolomon.decoding.<A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSDecoder</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html#decode(int[], int[], int[])">decode</A>, <A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html#decodeFile(java.io.File)">decodeFile</A>, <A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html#decodeFile(java.io.File, org.bitfountain.gui.client.ProgressListener)">decodeFile</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.bitfountain.math.reedsolomon.RSAlgorithm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.bitfountain.math.reedsolomon.<A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html#getChecksumBlockSize()">getChecksumBlockSize</A>, <A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html#getDataBlockSize()">getDataBlockSize</A>, <A HREF="../../../../../org/bitfountain/math/reedsolomon/RSAlgorithm.html#getTotalBlockSize()">getTotalBlockSize</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="blocks"><!-- --></A><H3>
blocks</H3>
<PRE>
public byte[][] <B>blocks</B></PRE>
<DL>
<DD>We store BLOCK_SIZE blocks so we can deinterlace.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="RSNetDecoder(org.bitfountain.network.packets.FileHeader, java.io.File)"><!-- --></A><H3>
RSNetDecoder</H3>
<PRE>
public <B>RSNetDecoder</B>(<A HREF="../../../../../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A>&nbsp;pHeader,
                    java.io.File&nbsp;pDestination)
             throws java.io.IOException</PRE>
<DL>
<DD>Encode a file and send it over an output stream.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>pHeader</CODE> - Header of the file we want to receive.<DD><CODE>pDestination</CODE> - Where to save the decoded file.
<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE> - In case there's an I/O error.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="step(org.bitfountain.network.packets.FilePart)"><!-- --></A><H3>
step</H3>
<PRE>
public final boolean <B>step</B>(<A HREF="../../../../../org/bitfountain/network/packets/FilePart.html" title="class in org.bitfountain.network.packets">FilePart</A>&nbsp;filePart)
                   throws java.io.IOException,
                          <A HREF="../../../../../org/bitfountain/math/SingularMatrixException.html" title="class in org.bitfountain.math">SingularMatrixException</A></PRE>
<DL>
<DD>Do a little bit more work from the received packet.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>filePart</CODE> - The packet we just receivedSize
<DT><B>Returns:</B><DD>true if it wants more data, false if the file receive is complete.
<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE> - We're writing to a file - maybe the earth has stopped?
<DD><CODE><A HREF="../../../../../org/bitfountain/math/SingularMatrixException.html" title="class in org.bitfountain.math">SingularMatrixException</A></CODE> - In case we couldn't decode.</DL>
</DD>
</DL>
<HR>

<A NAME="getHeader()"><!-- --></A><H3>
getHeader</H3>
<PRE>
public final <A HREF="../../../../../org/bitfountain/network/packets/FileHeader.html" title="class in org.bitfountain.network.packets">FileHeader</A> <B>getHeader</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>header info about the file we're receiving.</DL>
</DD>
</DL>
<HR>

<A NAME="getProgress()"><!-- --></A><H3>
getProgress</H3>
<PRE>
public final double <B>getProgress</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/bitfountain/network/Progressive.html#getProgress()">getProgress</A></CODE> in interface <CODE><A HREF="../../../../../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>an estimation of the progress of the file reception, from 0.0 to 1.0</DL>
</DD>
</DL>
<HR>

<A NAME="getDestination()"><!-- --></A><H3>
getDestination</H3>
<PRE>
public final java.io.File <B>getDestination</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the destination — decoded file on the disk.</DL>
</DD>
</DL>
<HR>

<A NAME="isFinished()"><!-- --></A><H3>
isFinished</H3>
<PRE>
public final boolean <B>isFinished</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/bitfountain/network/Progressive.html#isFinished()">isFinished</A></CODE> in interface <CODE><A HREF="../../../../../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if the transfer is finished.</DL>
</DD>
</DL>
<HR>

<A NAME="getSpeed()"><!-- --></A><H3>
getSpeed</H3>
<PRE>
public double <B>getSpeed</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/bitfountain/network/Progressive.html#getSpeed()">getSpeed</A></CODE> in interface <CODE><A HREF="../../../../../org/bitfountain/network/Progressive.html" title="interface in org.bitfountain.network">Progressive</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the operation speed, in Kibi/s</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/RSNetDecoder.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/bitfountain/math/reedsolomon/decoding/RSNetDecoder.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RSNetDecoder.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
